!DEC$ FREEFORM

!
!  Copyright 2001 Compaq Computer Corporation
!  
!  Compaq and the Compaq logo Registered in U.S. Patent and Trademark
!  Office.
!  
!  Confidential computer software.  Valid license from Compaq required for
!  possession, use or copying.  Consistent with FAR 12.211 and 12.212,
!  Commerical Computer Software, Computer Software Documentation, and
!  Technical Data for Commmerical Items are licensed to the U.S. Government
!  under vendor's standard commerical license.
!

!DEC$ IF .NOT. DEFINED( __sig_m_include )

   !DEC$ DEFINE __sig_m_include

   !DEC$ IF DEFINED( _DLL )
      !DEC$ OBJCOMMENT LIB: "cxmldll.lib" 
   !DEC$ ELSE
      !DEC$ OBJCOMMENT LIB: "cxml.lib" 
   !DEC$ ENDIF

   INTERFACE
      FUNCTION dxml_bad_direction_string()
         !DEC$ ATTRIBUTES DEFAULT :: dxml_bad_direction_string
         INTEGER(KIND=4) :: dxml_bad_direction_string
      END FUNCTION dxml_bad_direction_string
   END INTERFACE

   INTERFACE
      FUNCTION dxml_bad_format_for_direction()
         !DEC$ ATTRIBUTES DEFAULT :: dxml_bad_format_for_direction
         INTEGER(KIND=4) :: dxml_bad_format_for_direction
      END FUNCTION dxml_bad_format_for_direction
   END INTERFACE

   INTERFACE
      FUNCTION dxml_bad_format_string()
         !DEC$ ATTRIBUTES DEFAULT :: dxml_bad_format_string
         INTEGER(KIND=4) :: dxml_bad_format_string
      END FUNCTION dxml_bad_format_string
   END INTERFACE

   INTERFACE
      FUNCTION dxml_bad_stride()
         !DEC$ ATTRIBUTES DEFAULT :: dxml_bad_stride
         INTEGER(KIND=4) :: dxml_bad_stride
      END FUNCTION dxml_bad_stride
   END INTERFACE

   INTERFACE
      FUNCTION dxml_direction_not_match()
         !DEC$ ATTRIBUTES DEFAULT :: dxml_direction_not_match
         INTEGER(KIND=4) :: dxml_direction_not_match
      END FUNCTION dxml_direction_not_match
   END INTERFACE

   INTERFACE
      FUNCTION dxml_ill_flow()
         !DEC$ ATTRIBUTES DEFAULT :: dxml_ill_flow
         INTEGER(KIND=4) :: dxml_ill_flow
      END FUNCTION dxml_ill_flow
   END INTERFACE

   INTERFACE
      FUNCTION dxml_ill_f_range()
         !DEC$ ATTRIBUTES DEFAULT :: dxml_ill_f_range
         INTEGER(KIND=4) :: dxml_ill_f_range
      END FUNCTION dxml_ill_f_range
   END INTERFACE

   INTERFACE
      FUNCTION dxml_ill_lda()
         !DEC$ ATTRIBUTES DEFAULT :: dxml_ill_lda
         INTEGER(KIND=4) :: dxml_ill_lda
      END FUNCTION dxml_ill_lda
   END INTERFACE

   INTERFACE
      FUNCTION dxml_ill_nterms()
         !DEC$ ATTRIBUTES DEFAULT :: dxml_ill_nterms
         INTEGER(KIND=4) :: dxml_ill_nterms
      END FUNCTION dxml_ill_nterms
   END INTERFACE

   INTERFACE
      FUNCTION dxml_ill_n_is_odd()
         !DEC$ ATTRIBUTES DEFAULT :: dxml_ill_n_is_odd
         INTEGER(KIND=4) :: dxml_ill_n_is_odd
      END FUNCTION dxml_ill_n_is_odd
   END INTERFACE

   INTERFACE
      FUNCTION dxml_ill_n_nonrec()
         !DEC$ ATTRIBUTES DEFAULT :: dxml_ill_n_nonrec
         INTEGER(KIND=4) :: dxml_ill_n_nonrec
      END FUNCTION dxml_ill_n_nonrec
   END INTERFACE

   INTERFACE
      FUNCTION dxml_ill_n_range()
         !DEC$ ATTRIBUTES DEFAULT :: dxml_ill_n_range
         INTEGER(KIND=4) :: dxml_ill_n_range
      END FUNCTION dxml_ill_n_range
   END INTERFACE

   INTERFACE
      FUNCTION dxml_ill_scal_vect_code()
         !DEC$ ATTRIBUTES DEFAULT :: dxml_ill_scal_vect_code
         INTEGER(KIND=4) :: dxml_ill_scal_vect_code
      END FUNCTION dxml_ill_scal_vect_code
   END INTERFACE

   INTERFACE
      FUNCTION dxml_ill_temp_array()
         !DEC$ ATTRIBUTES DEFAULT :: dxml_ill_temp_array
         INTEGER(KIND=4) :: dxml_ill_temp_array
      END FUNCTION dxml_ill_temp_array
   END INTERFACE

   INTERFACE
      FUNCTION dxml_ill_wiggles()
         !DEC$ ATTRIBUTES DEFAULT :: dxml_ill_wiggles
         INTEGER(KIND=4) :: dxml_ill_wiggles
      END FUNCTION dxml_ill_wiggles
   END INTERFACE

   INTERFACE
      FUNCTION dxml_ins_res()
         !DEC$ ATTRIBUTES DEFAULT :: dxml_ins_res
         INTEGER(KIND=4) :: dxml_ins_res
      END FUNCTION dxml_ins_res
   END INTERFACE

   INTERFACE
      FUNCTION dxml_in_version_skew()
         !DEC$ ATTRIBUTES DEFAULT :: dxml_in_version_skew
         INTEGER(KIND=4) :: dxml_in_version_skew
      END FUNCTION dxml_in_version_skew
   END INTERFACE

   INTERFACE
      FUNCTION dxml_mand_arg()
         !DEC$ ATTRIBUTES DEFAULT :: dxml_mand_arg
         INTEGER(KIND=4) :: dxml_mand_arg
      END FUNCTION dxml_mand_arg
   END INTERFACE

   INTERFACE
      FUNCTION dxml_option_not_supported()
         !DEC$ ATTRIBUTES DEFAULT :: dxml_option_not_supported
         INTEGER(KIND=4) :: dxml_option_not_supported
      END FUNCTION dxml_option_not_supported
   END INTERFACE

   INTERFACE
      FUNCTION dxml_success()
         !DEC$ ATTRIBUTES DEFAULT :: dxml_success
         INTEGER(KIND=4) :: dxml_success
      END FUNCTION dxml_success
   END INTERFACE

!DEC$ ENDIF
